local _, addon = ...
local D = addon.TomCatsLibs.Data
local Coords = CreateVector2D
D.loadData(
    "Pathways",
    { "Pathway ID", "Quest ID", "UIMap ID", "Path" },
    {
        { 1, 8635, 281, {
            Coords(0.2805, 0.3512),
            Coords(0.2805, 0.4372),
            Coords(0.2998, 0.4916),
            Coords(0.3292, 0.6073),
            Coords(0.3508, 0.6005),
            Coords(0.3610, 0.5648),
            Coords(0.4301, 0.6039),
            Coords(0.4596, 0.5852),
            Coords(0.4483, 0.5409),
            Coords(0.4664, 0.5018),
            Coords(0.5367, 0.5434),
            Coords(0.5027, 0.6709),
            Coords(0.4845, 0.6675),
            Coords(0.4721, 0.6352),
            Coords(0.4528, 0.6991),
            Coords(0.4176, 0.6549),
            Coords(0.4018, 0.7348),
            Coords(0.4449, 0.7875),
            Coords(0.4562, 0.9014),
            Coords(0.5140, 0.9371),
        }}, -- Maraudon
        { 2, 8644, 33, {
            Coords(0.6346, 0.4408),
            Coords(0.6799, 0.4054),
            Coords(0.8040, 0.4068)
        }}, -- Lower Blackrock Spire Entry
        { 3, 8644, 251, {
            Coords(0.3780, 0.4209), --
            Coords(0.3802, 0.4787), --
            Coords(0.404, 0.4804), --
            Coords(0.4074, 0.4515), --
            Coords(0.4505, 0.4508), --
            Coords(0.5242, 0.3767), --
            Coords(0.5832, 0.4270), --
            Coords(0.6455, 0.4236), --
            Coords(0.633, 0.3913), --
            Coords(0.619, 0.405)
        }}, -- Lower Blackrock Spire / Skitterweb Tunnels
        { 4, 8644, 252, {
            Coords(0.3780, 0.4209), --
            Coords(0.3802, 0.4787), --
            Coords(0.404, 0.4804), --
            Coords(0.4074, 0.4515), --
            Coords(0.4505, 0.4508), --
            Coords(0.5242, 0.3767), --
            Coords(0.5832, 0.4270), --
            Coords(0.6455, 0.4236), --
            Coords(0.633, 0.3913), --
            Coords(0.619, 0.405)
        }}, -- Lower Blackrock Spire / Hordemar City
        { 5, 8644, 253, {
            Coords(0.3780, 0.4209), --
            Coords(0.3802, 0.4787), --
            Coords(0.404, 0.4804), --
            Coords(0.4074, 0.4515), --
            Coords(0.4505, 0.4508), --
            Coords(0.5242, 0.3767), --
            Coords(0.5832, 0.4270), --
            Coords(0.6455, 0.4236), --
            Coords(0.633, 0.3913), --
            Coords(0.619, 0.405)
        }}, -- Lower Blackrock Spire / Hall of Blackhand
        { 6, 8619, 242, {
            Coords(0.3496, 0.7746), --
            Coords(0.5163, 0.7049), --
            Coords(0.505, 0.63)
        }} -- Blackrock Depths
    }
)

D["Pathways by UIMap ID Lookup"] = {}
D["Pathways by Quest ID Lookup"] = {}
for _, pathway in pairs(D["Pathways"].records) do
    local uiMapID = pathway["UIMap ID"]
    D["Pathways by UIMap ID Lookup"][uiMapID] = D["Pathways by UIMap ID Lookup"][uiMapID] or {}
    table.insert(D["Pathways by UIMap ID Lookup"][uiMapID], pathway)
    local questID = pathway["Quest ID"]
    D["Pathways by Quest ID Lookup"][questID] = D["Pathways by Quest ID Lookup"][questID] or {}
    table.insert(D["Pathways by Quest ID Lookup"][questID], pathway)
end
